using RestSharp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Tr.Sdk.Blacklist
{
    public class DelBlacklistRequest: TrRequest
    {
        public override string Path() => "api/special_phone/delete";

        public override Method HttpMethod() => Method.Post;


        [RequestProperty(Name ="phone")]
        public string Phone { get; set; }

        /// <summary>
        /// 1:白名单;2:呼入黑名单;3:呼出黑名单;4:呼入呼出黑名单;
        /// </summary>
        [RequestProperty(Name = "special_flag")]
        public int? SpecialFlag { get; set; }
    }
}
